## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname uswid

Name:           python-%{srcname}
Version:        0.4.1
Release:        %autorelease
Summary:        Python module for working with Firmware SBoMs

License:        LGPL-2.1-or-later
URL:            https://github.com/hughsie/python-uswid
Source:         %{pypi_source %{srcname}}

BuildArch:      noarch

%global _description %{expand:
Software Identification (SWID) tags provide an extensible XML-based structure to
identify and describe individual software components, patches, and installation
bundles. XML SWID tag representations can be too large for devices with network
and storage constraints.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-cbor2
BuildRequires:  python3-lxml
BuildRequires:  python3-pefile

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e '/^#!\//, 1d' %{srcname}/*.py

%build
%py3_build

%install
%py3_install

%check
#%{python3} setup.py test
%pytest

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/
%{_bindir}/uswid

%changelog
* Sat Feb 04 2023 Richard Hughes <richard@hughsie.com> - 0.4.1-1
- Initial import (fedora#2167067).
